package model

import (
	"time"
)

type SysTemplate struct {
	Id        int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid       int       `json:"uid" xorm:"not null default 0 INT(11)"`
	Name      string    `json:"name" xorm:"not null default '' comment('模板名称') VARCHAR(32)"`
	Title     string    `json:"title" xorm:"not null default '' comment('页面title字段') VARCHAR(32)"`
	Type      string    `json:"type" xorm:"not null default 'index' comment('模板类型；index：首页；bottom：底部导航栏；member：会员中心；custom：自定义模板；share_goods_image：商品图文分享；share_goods_link：商品链接分享；share_goods_platform_xx：商品分享平台（xx对应平台类型）') VARCHAR(64)"`
	Image     string    `json:"image" xorm:"not null default '' VARCHAR(128)"`
	IsUse     int       `json:"is_use" xorm:"default 0 comment('是否使用；1：使用；0未使用') TINYINT(1)"`
	Remark    string    `json:"remark" xorm:"not null default '' comment('备注') VARCHAR(128)"`
	LimitData string    `json:"limit_data" xorm:"not null  comment('') TEXT"`
	IsSystem  int       `json:"is_system" xorm:"not null default 0 comment('是否系统模板；0：否；1：是') TINYINT(1)"`
	CreateAt  time.Time `json:"create_at" xorm:"default CURRENT_TIMESTAMP TIMESTAMP"`
	UpdateAt  time.Time `json:"update_at" xorm:"default CURRENT_TIMESTAMP TIMESTAMP"`
}
